<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Apartments Manager Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used for Laravel Backpack - Apartments
    | Author: Andrey Golikov <agolikov@smartru.com>
    |
    */

    'apartments'              => 'Квартиры',
    'apartment'               => 'Квартира',
    'apartment_singular'      => 'квартиру',
    'apartment_singular_2'    => 'квартира',
    'apartment_singular_3'    => 'квартиры',
    'apartment_plural'        => 'квартиры',
    'apartment_plural_2'        => 'квартир',
    'activity' => 'Активность',
    'export_to_excel' => 'Экспорт в Excel',
    'sip_number_not_found' => 'нет SIP номера, привязанного к устройству',
    'from' => 'из',
    'generating' => 'генерируется...',
    'licences' => 'Лицензии',
    'activated_by_users' => 'активировано пользователями',
    'connected_to_apartments' => 'привязано к квартирам',
    'total' => 'всего',

    'crud_fields' => [
        'number' => 'Квартира',
        'entrance' => 'Подъезд',
        'floor' => 'Этаж',
        'activation_code' => 'Код активации',
        'activation_limit' => 'Лимит активаций',
        'activations_used' => 'Кол-во активаций',
        'activations' => 'Активации',
        'sip_numbers' => 'SIP-номера',
        'sip_number' => 'SIP-номер',
        'sip_password' => 'Пароль',
        'sip_activated' => 'Привязан',
        'sip_number_add_button' => 'SIP номер',
        'select_devices' => 'Выбранные устройства',
        'add' => 'Добавить',
        'select_calling_panels' => 'Доступные вызывные панели',
        'select_cameras' => 'Доступные камеры',
        'binding_to_apartments' => 'Связать с квартирами',
        'select_all' => 'Выбрать все',
    ],
    'crud_buttons' => [
        'reset_activations' => 'Сбросить активации',
        'reset_code' => 'Сбросить код',
    ],
    'validation' => [
        'unique_with' => 'В данном объекте уже существует квартира с таким номером',
        'activation_limit' => 'Поле "Лимит активаций" не может быть меньше, чем количество активаций в данный момент',
        'activation_limit_now' => 'сейчас',
        'too_much_activation' => 'Превышено максимальное количество активаций, пожалуйста уменьшите количество',
        'number_example' => 'Пример: 430, 12a, 103Г.',
        'not_unique_sip_number' => 'SIP-номер :number не должен повторяться.',
        'not_unique_sip_numbers' => 'SIP-номера :numbers не должны повторяться.',
        'sip_number_already_exists' => 'SIP-номер :number уже существует.',
        'sip_numbers_already_exists' => 'SIP-номера :numbers уже существуют.',
        'sip_numbers_empty_rows' => 'Поля SIP-номеров не могут иметь пустых значений',
        'sip_password_empty' => 'Пароль SIP-номера :number не может быть пустым.',
        'sip_passwords_empty' => 'Пароли SIP-номеров :numbers не могут быть пустыми.',
        'sip_numbers_is_to_long' => 'Длина SIP-номера не может превышать :symbols символов',
        'sip_passwords_is_to_long' => 'Длина SIP-пароля не может превышать :symbols символов',
    ],
    'activation_quota_exceeded' => 'Превышено количество активаций',
    // Confirmation messages and bubbles
    'reset_confirm' => 'Вы уверены, что хотите сбросить активации?',
    'reset_confirmation_title' => 'Активации сброшены',
    'reset_confirmation_message' => 'Активации были успешно сброшены',
    'reset_confirmation_not_title' => 'НЕ сброшены',
    'reset_confirmation_not_message' => 'Произошла ошибка. Активации не были сброшены',
    'reset_confirmation_not_reset_title' => 'Не сброшены',
    'reset_confirmation_not_reset_message' => 'Ничего не произошло. Активации сохранены',
    'reset_confirmation_no_reset_title' => 'Активации отсутствуют',
    'reset_confirmation_no_reset_message' => 'Кодом активации еще не воспользовались',

    'activations' => [
        'used' => 'Использовано',
        'activations_from' => 'активаций из',
        'acs_no_answer' => 'Невозможно отобразить количество доступных активаций, нет связи с сервером кодов активации'
    ],

    'validate' => [
        'required' => 'Поле обязательно для заполнения',
        'numeric' => 'Поле entrances должно быть числом',
        'not_in' => 'Введенное значение ошибочно',
    ],

    'generation' => [
        'title' => 'Пакетная генерация квартир',
        'number_entrances' => 'Количество подъездов',
        'number_floors' => 'Количество этажей',
        'number_apartments_per_floors' => 'Количество квартир на этаже',
        'number_apartments' => 'Количество квартир',
        'activation_limit' => 'Количество активаций на квартиру',
        'required_number_activations' => 'Необходимое количество активаций',
        'generate' => 'Сгенерировать',
        'nav_text' => 'Пакетная генерация',
        'total' => 'Всего доступных активаций:',
        'current_total' => 'необходимо',
        'stores_link' => 'Нажмите для продолжения пакетной генерации квартир.',
        'stores' => 'Количество не сохраненных квартир: :save_number.',
    ],

    'do_not_read_advert' => 'Квартиры которые не прочитали объявления',

];
