<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Apartments Manager Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used for Laravel Backpack - Apartments
    | Author: Andrey Golikov <agolikov@smartru.com>
    |
    */

    'apartments'              => 'Квартир',
    'apartment'               => 'Квартира',
    'apartment_singular'      => 'квартиру',
    'apartment_singular_2'    => 'квартира',
    'apartment_singular_3'    => 'квартири',
    'apartment_plural'        => 'квартири',
    'apartment_plural_2'        => 'квартир',
    'sip_number_not_found' => 'немає SIP номера, прив`язаного до пристрою',
    'from' => 'з',
    'generating' => 'генеруеться...',

    'crud_fields' => [
        'number'              => 'Квартира',
        'entrance'            => 'Під`їзд',
        'floor'               => 'Поверх',
        'activation_code'     => 'Код активації',
        'activation_limit'    => 'Ліміт активацій',
        'activations_used'    => 'Кількість активацій',
        'activations'         => 'Активації',
        'sip_numbers'         => 'SIP-номера',
        'sip_number'          => 'SIP-номер',
        'sip_password'          => 'Пароль',
        'sip_activated'          => 'Прив`язан',
        'sip_number_add_button' => 'SIP номер',
        'select_devices'      => 'Вибрані пристрої',
        'add'                 => 'Добавити',
        'select_calling_panels' => 'Доступні визивні панелі',
        'select_cameras' => 'Доступні камери',
        'binding_to_apartments' => 'Зв`язати з квартирами',
        'select_all' => 'Вибрати все',
    ],
    'crud_buttons' => [
        'reset_activations'   => 'Зкинути активації',
        'reset_code'   => 'Зкинути код',
    ],
    'validation' => [
        'unique_with' => 'У цьому об`єкті вже існує квартира з таким номером',
        'activation_limit' => 'Поле "Ліміт активацій" не може бути меньший, ніж кількість активацій в даний момент',
        'activation_limit_now' => 'зараз',
        'too_much_activation' => 'Перевищена максимальна кількість активацій, будь ласка зменшіть кількість',
        'number_example' => 'Приклад: 430, 12a, 103Г.',
        'not_unique_sip_number' => 'SIP-номер :number не повинен повторюватись.',
        'not_unique_sip_numbers' => 'SIP-номера :numbers не повинні повторюватись.',
        'sip_number_already_exists' => 'SIP-номер :number вже існує.',
        'sip_numbers_already_exists' => 'SIP-номера :numbers вже існують.',
        'sip_numbers_empty_rows' => 'Поля SIP-номерів не можуть мати порожніх значень',
        'sip_password_empty' => 'Пароль SIP-номера :number не може бути порожнім.',
        'sip_passwords_empty' => 'Паролі SIP-номерів :numbers не можуть бути порожніми.',
        'sip_numbers_is_to_long' => 'Довжина SIP-номера не може перевищувати  :symbols символів',
        'sip_passwords_is_to_long' => 'Довжина SIP-пароля не може перевищувати :symbols символів',
    ],
    'activation_quota_exceeded' => 'Перевищено кількість активацій',
    // Confirmation messages and bubbles
    'reset_confirm'                          => 'Ви упевнені, що хочете скинути активації?',
    'reset_confirmation_title'               => 'Активації скинуто',
    'reset_confirmation_message'             => 'Активації були успішно скинуті',
    'reset_confirmation_not_title'           => 'НЕ скинуті',
    'reset_confirmation_not_message'         => 'Сталася помилка. Активації не були скинуті',
    'reset_confirmation_not_reset_title'   => 'Не скинуто',
    'reset_confirmation_not_reset_message' => 'Нічого не сталося. Активації збережені',
    'reset_confirmation_no_reset_title'   => 'Активації відсутні',
    'reset_confirmation_no_reset_message' => 'Кодом активації ще не скористалися',

    'activations' => [
      'used' => 'Використано',
      'activations_from' => 'активацій з'
    ],

    'validate' => [
        'required' => 'Поле обов`язкове для заповнення',
        'numeric' => 'Поле entrances повинно бути числом',
        'not_in' => 'Введене значення помилкове',
    ],

    'generation' => [
        'title' => 'Пакетна генерація квартир',
        'number_entrances' => 'Кількість під`їзд',
        'number_floors' => 'Кількість поверхів',
        'number_apartments_per_floors' => 'Кількістьо квартир на поверсі',
        'number_apartments' => 'Кількість квартир',
        'activation_limit' => 'Кількість активацій на квартиру',
        'required_number_activations' => 'Необхідна кількість активацій',
        'generate' => 'Сгенерувати',
        'nav_text' => 'Пакетна генерація',
        'total' => 'Всього доступних активацій:',
        'current_total' => 'необхідно',
        'stores_link' => 'Натисніть для продовження пакетної генерації квартир.',
        'stores' => 'Кількість не збережених квартир: :save_number.',
    ],

    'do_not_read_advert' => 'Квартири які не прочитали оголошення',

];
