<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Backpack Crud Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used by the CRUD interface.
    | You are free to change them to anything
    | you want to customize your views to better match your application.
    |
    */

    // Forms
    'save_action_save_and_new'                => 'Зберегти та створити',
    'save_action_save_and_edit'               => 'Зберегти та продовжити редагування',
    'save_action_save_and_back'               => 'Зберегти та вийти',
    'save_action_changed_notification'        => 'Дія після збереження була змінена',

    // Create form
    'add'                                     => 'Додати',
    'back_to_all'                             => 'Повернутися до списку',
    'cancel'                                  => 'Відмінити',
    'add_a_new'                               => 'Додати новий(у)',

    // Edit form
    'edit'                                    => 'Редагувати',
    'save'                                    => 'Зберегти',

    // Revisions
    'revisions'                               => 'Версії',
    'no_revisions'                            => 'Версій не знайдено',
    'created_this'                            => 'створив(ла) це',
    'changed_the'                             => 'змінив(ла)',
    'restore_this_value'                      => 'Відновити це значення',
    'from'                                    => 'з',
    'to'                                      => 'до',
    'undo'                                    => 'Крок назад',
    'revision_restored'                       => 'Версія успішно відновлена',

    // CRUD table view
    'all'                                     => 'Все ',
    'in_the_database'                         => 'у базі даних',
    'list'                                    => 'Список',
    'actions'                                 => 'Дії',
    'preview'                                 => 'Передперегляд',
    'delete'                                  => 'Видалити',
    'admin'                                   => 'Адмін',
    'details_row'                             => 'Це рядок відомостей. Змініть, будь ласка',
    'details_row_loading_error'               => 'Сталася помилка при завантаженні відомостей. Повторіть операцію.',

    // Confirmation messages and bubbles
    'delete_confirm'                          => 'Ви упевнені, що хочете видалити цей запис?',
    'delete_confirmation_title'               => 'Запис видалено',
    'delete_confirmation_message'             => 'Запис був успішно видалений',
    'delete_confirmation_not_title'           => 'НЕ видалено',
    'delete_confirmation_not_message'         => 'Сталася помилка. Запис не був видалений',
    'delete_confirmation_not_deleted_title'   => 'Не видалено',
    'delete_confirmation_not_deleted_message' => 'Нічого не сталося. Ваш запис збережено/',

    // DataTables translation
    'emptyTable'                              => 'У таблиці немає доступних даних',
    'info'                                    => 'Показано _START_ до _END_ з _TOTAL_ збігів',
    'infoEmpty'                               => 'Показано 0 до 0 з 0 збігів',
    'infoFiltered'                            => '(відфільтровано з _ MAX _ збігів)',
    'infoPostFix'                             => '',
    'thousands'                               => ',',
    'lengthMenu'                              => '_MENU_ записів на сторінці',
    'loadingRecords'                          => 'Завантаження...',
    'processing'                              => 'Обробка...',
    'search'                                  => 'Пошук: ',
    'zeroRecords'                             => 'Збігів не знайдено',
    'paginate'                                => [
        'first'    => 'Перша',
        'last'     => 'Остання',
        'next'     => 'Наступна',
        'previous' => 'Попередня',
    ],
    'aria'                                    => [
        'sortAscending'  => ': натисніть для сортування за збільшенням',
        'sortDescending' => ': натисніть для сортування за зменьшенням',
    ],

    // global crud - errors
    'unauthorized_access'                     => 'У Вас немає необхідних прав для перегляду цієї сторінки.',
    'please_fix'                              => 'Будь ласка, виправіть наступні помилки:',

    // global crud - success / error notification bubbles
    'insert_success'                          => 'Запис  успішно додано.',
    'update_success'                          => 'Запис  успішно змінено.',

    // CRUD reorder view
    'reorder'                                 => 'Змінити порядок',
    'reorder_text'                            => 'Використайте drag&drop для зміни порядку.',
    'reorder_success_title'                   => 'Готово',
    'reorder_success_message'                 => 'Порядок збережений.',
    'reorder_error_title'                     => 'Помилка',
    'reorder_error_message'                   => 'Порядок не збережений.',

    // CRUD yes/no
    'yes'                                     => 'Так',
    'no'                                      => 'Ні',

    // CRUD filters navbar view
    'filters'                                 => 'Фільтри',
    'toggle_filters'                          => 'Переключити фільтри',
    'remove_filters'                          => 'Очистити фільтри',

    // Fields
    'browse_uploads'                          => 'Загрузити файли',
    'clear'                                   => 'Очистити',
    'page_link'                               => 'Силка на сторінку',
    'page_link_placeholder'                   => 'http://example.com/your-desired-page',
    'internal_link'                           => 'Внутрішня силка',
    'internal_link_placeholder'               => 'Внутрішній шлях. Наприклад: \'admin/page\' (без кавичек) для \':url\'',
    'external_link'                           => 'Зовнішня силка',
    'choose_file'                             => 'Вибрати файл',

    //Table field
    'table_cant_add'                          => 'Не вдалось добавити нову :entity',
    'table_max_reached'                       => 'Максимальна кількість з :max досягнута',

    // File manager
    'file_manager'                            => 'Файловий менеджер',
];
