@if ($crud->model->translationEnabled())
    <input type="hidden" name="locale"
           value={{ $crud->request->input('locale')?$crud->request->input('locale'):App::getLocale() }}>
@endif

@include('vendor.backpack.components.destinations.component', ['fields' => $fields])

{{-- See if we're using tabs --}}
@if ($crud->tabsEnabled())
    @include('crud::inc.show_tabbed_fields')
@else
    @include('vendor.backpack.crud.quiz.show_fields', ['fields' => $fields])
@endif

{{-- Define blade stacks so css and js can be pushed from the fields to these sections. --}}

@section('after_styles')
    <link rel="stylesheet" href="{{ asset('vendor/backpack/crud/css/crud.css') }}">
    <link rel="stylesheet" href="{{ asset('vendor/backpack/crud/css/form.css') }}">
    <link rel="stylesheet" href="{{ asset('vendor/backpack/crud/css/'.$action.'.css') }}">
    <link rel="stylesheet" href="{{ asset('vendor/backpack/destinations/component.css') }}">
    <link rel="stylesheet" href="{{ asset('vendor/backpack/templates-picker/component.css') }}">

    <!-- CRUD FORM CONTENT - crud_fields_styles stack -->
    @stack('crud_fields_styles')
@endsection

@section('after_scripts')
    <script src="{{ asset('vendor/backpack/crud/js/crud.js') }}"></script>
    <script src="{{ asset('vendor/backpack/crud/js/form.js') }}"></script>
    <script src="{{ asset('vendor/backpack/crud/js/'.$action.'.js') }}"></script>
    <script src="{{ asset('vendor/backpack/destinations/component.js') }}"></script>
    <script src="{{ asset('vendor/backpack/templates-picker/component.js') }}"></script>

    <!-- CRUD FORM CONTENT - crud_fields_scripts stack -->
    @stack('crud_fields_scripts')
@endsection
